#ifndef DATABASE1_PROTOS
#define DATABASE1_PROTOS

/* Prototypes for functions defined in
database.c
 */

extern BOOL dat_language_load(struct DeniseHandle*);

extern BOOL dat_language_save(struct DeniseHandle*);

extern BOOL dat_language_erase(struct DeniseHandle*);

extern void dat_delete_fleks(struct DeniseHandle* handle,struct Fleksja *fleks);

extern void dat_delete_odm(struct DeniseHandle* handle,struct Fleksja *fleks,struct Odmiany *odm);

extern struct Fleksja **dat_find_word(struct DeniseHandle *handle,struct Fleksja *start,char *podst,char *wyraz,char *dane,int tryb);

extern struct Odmiany *dat_find_odm(struct DeniseHandle *handle,struct Odmiany *start,char *wyraz,char *dane,int tryb);

extern void dat_count_odmiany(struct DeniseHandle* handle);

extern struct Fleksja *voc_find_word(struct DeniseHandle *handle,struct Fleksja *start,char *podst,char *wyraz,char *dane,int tryb);

extern void dodaj_wyraz(struct DeniseHandle *handle,struct Fleksja **,char *wyraz,char *podst,char *dane,int pos,int ile_pos);

#endif
